import { OnInit, ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { Observable } from 'rxjs';
export declare class NvmQuaggaComponent implements OnInit, OnDestroy {
    dimentions: {
        width: number;
        height: number;
    };
    codeParsed: EventEmitter<string>;
    readerReady: EventEmitter<boolean>;
    video: ElementRef;
    canvas: ElementRef;
    canvasBarCode: ElementRef;
    errors: string[];
    mirrow: boolean;
    reset: boolean;
    private _videoEl;
    private _context;
    private _canvasBarCodeConext;
    private _temer;
    private readonly _defaultTriesCount;
    private readonly _maxTriesCount;
    private _triesCount;
    private _codesTries;
    private _readers;
    private readonly _isToManyTries;
    private readonly _sufficientResult;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    getPhoto(): Observable<string>;
    decodeFromPic(src: string): Observable<string>;
    readPhoto(ev: any): void;
    private _onDecoded;
    private _initCamera;
    private _startPlay;
    private _initQuagga;
    private _onQuaggaInitialised;
    private _onQuaggaProcessed;
    private _onQuaggaDetected;
    private _getBestCodeGroup;
    private _estimateCode;
    private _isPoorResult;
    private _resetData;
}
